BinInputStream Class Referenceabstract
Inheritance diagram for BinInputStream:

## Public Member Functions

virtual | ~BinInputStream ()
virtual XMLFilePos | curPos () const =0
virtual XMLSize_t | readBytes (XMLByte *const toFill, const XMLSize_t maxToRead)=0
virtual const XMLCh * | getContentType () const =0
| Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification. More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Member Functions

| BinInputStream ()
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

virtual BinInputStream::~BinInputStream | ( |  | ) |

virtual

BinInputStream::BinInputStream | ( |  | ) |

protected

## Member Function Documentation

virtual XMLFilePos BinInputStream::curPos | ( |  | ) | const

pure virtual

Implemented in BinFileInputStream, and BinMemInputStream.

virtual const XMLCh* BinInputStream::getContentType | ( |  | ) | const

pure virtual

Return the "out-of-band" content type for the data supplied by this input stream in the form of the media-type production (mime type with optional parameters such as encoding) as defined by the HTTP 1.1 specification.

If no such content type is provided for the data, 0 is returned. This function is expected to return the correct value at any time after the construction of the stream.

An example of the stream that may return non-0 from this function is an HTTP stream with the value returned taken from the "Content-Type" HTTP header. Note also that if the encoding of the data is known to the application by some other means then the setEncoding function in the InputSource object should be used instead. The getContentType function should only be used to return information that is intrinsic to the stream.

Returns
  The content type, or 0 if one is not available.

Implemented in BinFileInputStream, and BinMemInputStream.

virtual XMLSize_t BinInputStream::readBytes | ( | XMLByte *const | toFill,
|  | const XMLSize_t | maxToRead
| ) |  |

pure virtual

Implemented in BinFileInputStream, and BinMemInputStream.

The documentation for this class was generated from the following file:

- BinInputStream.hpp